# ttrpg-site

Content for my tabletop RPG site, orb.moe.

## Contributing

The site is mostly written in Markdown, and can be edited in whatever text editor you desire. If you would like to make
changes, you need access to the repository at [https://git.incorporeal.org/bss/ttrpg-site] or need to send me a merge
request or Git patch set. I recommend using my Git site to either fork the project or request direct access to my copy
of the project, and submit changes that way.

## Hosting

The companion software to this repository is my CMS, [incorporeal-cms](https://git.incorporeal.org/bss/incorporeal-cms).
If you want to run your own version, to see the content how it'd be served, here is the short version of a local setup:

```
% mkdir orb.moe
% cd orb.moe
% virtualenv --python=python3.10 env-py3.10
% source env-py3.10/bin/activate
% pip install -U -f https://bss.zone/tech/incorporeal-cms/ incorporeal-cms[dot]
% mkdir env-py3.10/var
% mkdir env-py3.10/var/incorporealcms-instance
% [copy this repository's files into env-py3.10/var/incorporealcms-instance/]
% FLASK_APP=incorporealcms FLASK_ENV=development flask run -h 0.0.0.0
```
